For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
      • GETList all employers
      • POSTCreate an employer
      • GETRetrieve an employer
      • PUTUpdate an employer
      • POSTOffboard an employer
    • Contribution Reports
    • Events and Webhooks
    • API Errors
Get access
LogoLogo
API ReferenceEmployers

Retrieve an employer

GET
/employers/:employer_id
GET
/employers/:employer_id
$curl https://test.api.kota.io/employers/er_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "er_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "legal_name": "Acme Corporation Ltd",
4 "legal_address": {
5 "line1": "123 Main Street",
6 "city": "Springfield",
7 "postal_code": "62704",
8 "country_code": "us",
9 "state": "IL"
10 },
11 "contact": {
12 "name": "Jane Doe",
13 "email": "jane.doe@acmecorp.com"
14 },
15 "platform_id": "pt_7f9a2c4d5e6b7a8c9d0e1f2a3b4c5d6e",
16 "status": "active",
17 "registration_number": "12345678",
18 "offboard_on": "2024-12-01T00:00:00Z",
19 "earliest_benefits_start_date": "2024-12-01",
20 "metadata": {
21 "industry": "Manufacturing",
22 "employee_count": "250"
23 },
24 "object": "employer"
25}

Retrieves an employer object.

Previous

Create an employer

Next

Update an employer

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employer_idstringRequiredformat: "er_.+"

Response

OK
idstringformat: "er_.+"
legal_namestring
legal_addressobject
contactobject
platform_idstringformat: "pt_.+"
statusenum
Allowed values:
registration_numberstring or null
offboard_ondatetime or null
earliest_benefits_start_datedate or null
metadatamap from strings to strings or null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Maximum 25 keys. Individual keys can be up to 40 characters and values up to 500 characters.

objectstringRead-only
The object type

Errors

404
Not Found Error